> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Unblock a flow

> Clear a flow's blocked status after fixing the underlying issue. Idempotent — safe to call on already-healthy flows.



## OpenAPI

````yaml /api-reference/workflows.yaml post /flows/{flowId}/unblock
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /flows/{flowId}/unblock:
    post:
      tags:
        - Flows
      summary: Unblock a flow
      description: >-
        Clear a flow's blocked status after fixing the underlying issue.
        Idempotent — safe to call on already-healthy flows.
      operationId: unblockFlow
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: flowId
          in: path
      responses:
        '200':
          description: Flow unblocked (or already healthy)
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Flow'
                required:
                  - data
        '400':
          description: Flow is still broken — preflight failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - still_broken
                  code:
                    allOf:
                      - $ref: '#/components/schemas/FlowFailureCode'
                      - type: string
                  reason:
                    type: string
                required:
                  - error
                  - code
                  - reason
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.workflows.flows.unblock('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.workflows.flows.unblock(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Workflows.Flows.Unblock(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud workflows:flows unblock \
              --api-key 'My API Key' \
              --flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    Flow:
      type: object
      properties:
        id:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        triggerId:
          type: string
          format: uuid
        enabled:
          type: boolean
        deviceIds:
          type: array
          items:
            type: string
            format: uuid
        cooldownSeconds:
          type:
            - integer
            - 'null'
        cooldownScope:
          type: string
          enum:
            - flow
            - device
        notifyWebhookId:
          type:
            - string
            - 'null'
          format: uuid
        notifyOnSuccess:
          type: boolean
        notifyOnFailure:
          type: boolean
        lastTriggeredAt:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/FlowStatus'
        consecutiveFailures:
          type: integer
          minimum: 0
        lastFailureCode:
          $ref: '#/components/schemas/FlowFailureCode'
        lastFailureAt:
          type:
            - string
            - 'null'
        blockedAt:
          type:
            - string
            - 'null'
        createdAt:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
      required:
        - id
        - userId
        - name
        - description
        - triggerId
        - enabled
        - deviceIds
        - cooldownSeconds
        - cooldownScope
        - notifyWebhookId
        - notifyOnSuccess
        - notifyOnFailure
        - lastTriggeredAt
        - status
        - consecutiveFailures
        - lastFailureCode
        - lastFailureAt
        - blockedAt
        - createdAt
        - updatedAt
    FlowFailureCode:
      type:
        - string
        - 'null'
      enum:
        - device_not_found
        - permission_denied
        - client_error
        - transient
        - logic
        - invalid_config
    FlowStatus:
      type: string
      enum:
        - healthy
        - failing
        - blocked
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````